## Description ##
A FusionAuth server [https://fusionauth.io/](http://https://fusionauth.io/) resource repository for running it on RockyLinux 9.x

## Installation ##
<details>
<summary>To setup your FusionAuth server start out with a fresh RockyLinux 9.x server/vps/LXC - i use a ProxMox (https://www.proxmox.com/en/proxmox-ve) LXC,
and will assumes that your server has:</summary>
  
    - (atleast) 4Gb of memory available.
    - Firewall ports for HTTP/HTTPS should be open(ed)
    - SSH acccess to the box.
</details>

###### 
Install required packages:
```
dnf install wget nano postgresql-server postgresql-contrib nginx
```

###### 
Prepare PostgreSQL server.
```
/usr/bin/postgresql-setup --initdb
```

###### 
Edit PostgreSQL configfiles for security
```
vi /var/lib/pgsql/data/pg_hba.conf

# change to following line in this file:

host    all             all             127.0.0.1/32            ident

# to:

host    all             all             127.0.0.1/32            scram-sha-256

# Save the file after modification.

vi /var/lib/pgsql/data/postgresql.conf

# change the following line in this file:

#password_encryption = md5              # md5 or scram-sha-256

# to:

password_encryption = scram-sha-256   # md5 or scram-sha-256

# Save the file after modification.

```



